summaryrefslogtreecommitdiff
path: root/t/aclocal-pr450.sh
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2012-11-18 01:38:09 +0100
committerStefano Lattarini <stefano.lattarini@gmail.com>2012-11-19 12:34:55 +0100
commitab49d2bc115ba121b00ac06229d4044a004f67e9 (patch)
treec18633c26f80a1d9555b4c79dd68bbb2605a0baf /t/aclocal-pr450.sh
parent3e6643af3c1d4ae729c59ed6d2b803767a03e3c3 (diff)
downloadautomake-ab49d2bc115ba121b00ac06229d4044a004f67e9.tar.gz
tests: more explicative names for few aclocal tests
* t/aclocal3.sh: Rename ... * t/aclocal-missing-macros.sh: ... like this. * t/aclocal4.sh: Rename ... * t/aclocal-deps.sh: ... like this. * t/aclocal5.sh: Rename ... * t/aclocal-deps-subdir.sh: ... like this. * t/aclocal6.sh: Rename ... * t/aclocal-remake-misc.sh: ... like this. * t/aclocal7.sh: Rename ... * t/aclocal-no-force.sh: ... like this. * t/acloca8.sh: Rename ... * t/aclocal-no-unused-required.sh: ... like this. * t/acloca9.sh: Rename ... * t/aclocal-I-order-1.sh: ... like this. * t/acloca11.sh: Rename ... * t/aclocal-I-order-2.sh: ... like this, and update heading comments. * t/acloca12.sh: Rename ... * t/aclocal-I-order-3.sh: ... like this, and update heading comments. * t/acloca13.sh: Rename ... * t/aclocal-m4-sinclude.sh: ... like this, and update heading comments. * t/acloca14.sh: Rename ... * t/aclocal-m4-include-are-scanned.sh: ... like this. * t/acloca14.sh: Rename ... * t/aclocal-m4-include-are-scanned-aclocal-amflags.sh: ... like this, and update heading comments. * t/acloca15.sh: Rename ... * t/aclocal-scan-configure-ac-pr319.sh: ... like this. * t/acloca16.sh: Rename ... * t/aclocal-no-extra-scan.sh: ... like this, and enhance slightly. * t/acloca18.sh: Rename ... * t/aclocal-serial.sh: ... like this. * t/acloca19.sh: Rename ... * t/aclocal-pr450.sh: ... like this. * t/acloca20.sh: Rename ... * t/aclocal-no-symlinked-overwrite.sh: ... like this. * t/acloca21.sh: Rename ... * t/aclocal-comments-respected.sh: ... like this. * t/acloca22.sh: Rename ... * t/aclocal-deleted-header.sh: ... like this. * t/acloca22b.sh: Rename ... * t/aclocal-deleted-header-aclocal-amflags.sh: ... like this. * t/acloca23.sh: Rename ... * t/aclocal-underquoted-defun.sh: ... like this. * t/list-of-tests.mk: Update. Signed-off-by: Stefano Lattarini <stefano.lattarini@gmail.com>
Diffstat (limited to 't/aclocal-pr450.sh')
-rwxr-xr-xt/aclocal-pr450.sh49
1 files changed, 49 insertions, 0 deletions
diff --git a/t/aclocal-pr450.sh b/t/aclocal-pr450.sh
new file mode 100755
index 000000000..502bc6979
--- /dev/null
+++ b/t/aclocal-pr450.sh
@@ -0,0 +1,49 @@
+#! /bin/sh
+# Copyright (C) 2005-2012 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Make sure aclocal does not fail on configure.ac inclusions that do
+# more than just variable definitions.
+# Report from Peter Breitenlohner (PR/450).
+
+. test-init.sh
+
+cat >configure.ac <<'END'
+AC_INIT([acloca19], [1.0])
+m4_include([aconfig.ac])
+FOO
+AC_OUTPUT
+END
+
+cat >aconfig.ac <<'END'
+AM_INIT_AUTOMAKE
+AC_DEFUN([FOO], [echo GREPME])
+sinclude([bconfig.ac])
+END
+
+cat >bconfig.ac <<'END'
+AC_ARG_WITH([grepme], [string])
+END
+
+$ACLOCAL
+$AUTOCONF
+./configure >stdout || { cat stdout; exit 1; }
+cat stdout
+grep GREPME stdout
+grep 'aconfig\.ac' aclocal.m4 && exit 1
+grep 'bconfig\.ac' aclocal.m4 && exit 1
+grep with-grepme configure
+
+: